      program apostorm100
C.................................................................Mar 2023
C select Apo > = 100 nT from Apo storms
C
	CHARACTER*30 INFILE,outfile
       CHARACTER*10 DD1,DDM,DD2
C
      infile='Apostorm48.txt'   ! Apmax >48 , Hpo >5.0
	outfile='Apostorm100.txt'   ! Apmax >100
	OPEN(11,FILE=INFILE,action='READ')
	OPEN(12,FILE=OUTFILE)
	nout=0
    1	read(11,170,end=50) ICNT,DD1,IIT1,DDM,IIUTMAX
     +,APMAX,DD2,IIT2,IIUTT
      if (APMAX.ge.100) then
	nout=nout+1
	write(*,170) nout,DD1,IIT1,DDM,IIUTMAX
     +,APMAX,DD2,IIT2,IIUTT
	write(12,170) nout,DD1,IIT1,DDM,IIUTMAX
     +,APMAX,DD2,IIT2,IIUTT
	goto 1
	                             else
	goto 1
	endif
   50 close(11)
      close(12)
  170	FORMAT(1X,I4,1X,A10,I3,2X,A10,I3,F6.0,2X,A10,I3,1X,I4)
	pause ' '
	STOP
	END
